Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.service
Interface IApplicationStore

public interface IApplicationStore

The `IApplicationStore` can be used as store for data that spans the lifecycle of a web application instance.

Note: the `IApplicationStore` implementation is used in the so called application scope. That means that all information stored here will be lost once the application web context is destroyed. Application scope also implies concurrent access. Therefore the implementation of `IApplicationStore` has to provide a proper synchronization of its storage datastructure.

Since:
  1.4
See Also:
  `RWT`

Method Summary
`Object` `getAttribute(String name)` Returns the value object which is stored under the given name in this `IApplicationStore` instance or null if no value object has been stored.
`void` `removeAttribute(String name)` Removes the value object which is stored under the given name in this `IApplicationStore` instance.
`void` `setAttribute(String name, Object value)` Stores the given value object with the given name as key in this `IApplicationStore` instance.

Method Detail

### setAttribute

    public void setAttribute(String name,
                             Object value)

  Stores the given value object with the given name as key in this `IApplicationStore` instance.

### getAttribute

    public Object getAttribute(String name)

  Returns the value object which is stored under the given name in this `IApplicationStore` instance or null if no value object has been stored.

### removeAttribute

    public void removeAttribute(String name)

  Removes the value object which is stored under the given name in this `IApplicationStore` instance. Does nothing if no value object was stored under the given name.

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.